# Interface methods for submodule: MultipleValuedCostFunction
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate
from ._proxies import CostFunctionTemplateProxy as _CostFunctionTemplateProxy


# Interface methods for class: MultipleValuedCostFunction
class MultipleValuedCostFunctionProxy(_CostFunctionTemplateProxy):
	def GetNameOfClass(self):
		""""""
		...

	def GetValue(self, parameters) -> Sequence[float]:
		""""""
		...

	def GetNumberOfValues(self) -> int:
		""""""
		...

	def GetDerivative(self, parameters, derivative) -> None:
		""""""
		...

